
Katello - Bug #24055

unauthenticated docker search

06/24/2018 10:50 PM - Thomas McKay

Status: Closed   

Priority: Normal   

Assignee: Thomas McKay   

Category: Container   

Target version: Katello 3.8.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/Katello/katello/pull/751

2,

https://github.com/Katello/katello/pull/757
Description

Allow docker search to find images in unauthenticated environments. Results should be the users search results (if logged in) in

addition to lifecycle environments with auth turned off.

Associated revisions

Revision 12ce7e82 - 07/16/2018 06:00 PM - Thomas McKay

fixes #24055 - docker search unauth repos

Revision e127ad70 - 07/31/2018 12:27 PM - Thomas McKay

refs #24055 - fix env save error

History

#1 - 07/16/2018 03:00 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/Katello/katello/pull/7512 added

#2 - 07/16/2018 06:01 PM - Thomas McKay

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset katello|12ce7e8206a385746cdd09ccc4d75dfa478a0539.

#3 - 07/30/2018 02:24 PM - The Foreman Bot

- Pull request https://github.com/Katello/katello/pull/7579 added
